#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;
uniform float size;

void main() {
    vec4 sum = vec4(0.0);
    
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x             , v_texCoord.y             )) * 0.12;

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 1.0 * size, v_texCoord.y - 1.0 * size)) * 0.055;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 2.0 * size, v_texCoord.y - 2.0 * size)) * 0.035;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 3.0 * size, v_texCoord.y - 3.0 * size)) * 0.02;

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 1.0 * size, v_texCoord.y + 1.0 * size)) * 0.055;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 2.0 * size, v_texCoord.y + 2.0 * size)) * 0.035;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 3.0 * size, v_texCoord.y + 3.0 * size)) * 0.02;

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 1.0 * size, v_texCoord.y - 1.0 * size)) * 0.055;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 2.0 * size, v_texCoord.y - 2.0 * size)) * 0.035;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 3.0 * size, v_texCoord.y - 3.0 * size)) * 0.02;

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 1.0 * size, v_texCoord.y + 1.0 * size)) * 0.055;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 2.0 * size, v_texCoord.y + 2.0 * size)) * 0.035;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 3.0 * size, v_texCoord.y + 3.0 * size)) * 0.02;

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 1.0 * size, v_texCoord.y)) * 0.055;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 2.0 * size, v_texCoord.y)) * 0.035;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 3.0 * size, v_texCoord.y)) * 0.02;

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 1.0 * size, v_texCoord.y)) * 0.055;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 2.0 * size, v_texCoord.y)) * 0.035;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 3.0 * size, v_texCoord.y)) * 0.02;

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - 1.0 * size)) * 0.055;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - 2.0 * size)) * 0.035;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - 3.0 * size)) * 0.02;

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 1.0 * size)) * 0.055;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 2.0 * size)) * 0.035;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 3.0 * size)) * 0.02;

    gl_FragColor = sum * v_fragmentColor;
}