#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;

void main()
{
    vec4 color1 = texture2D(u_texture, v_texCoord) * v_fragmentColor;
	float gray = (color1.r*0.299 + color1.g*0.587 + color1.b*0.114);
   gl_FragColor = vec4(gray, gray, gray, color1.a);
}
